/** Root **/
:root {
    --background-1: #1d1e35;
    --foreground-1: #ffffff;

    --background-2: #ffffff;
    --foreground-2: #1d1e35;

    --border-radius: 8px;
}

@media (prefers-color-scheme: dark) {
    :root {
        --background-1: #351e1d;
        --foreground-1: #ffffff;
    
        --background-2: #2b2b2b;
        --foreground-2: #ffffff;
    
        --border-radius: 8px;
    }
}

*[title] {
    color: purple;
}

/** Custom **/
* {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, sans-serif;
}

html,
body {
    padding: 0;
    margin: 0;

    background-color: var(--background-2);
    color: var(--foreground-2)
}

a {
    color: inherit;
}

blockquote {
    color: lime;
}

blockquote::before {
    content: ">";
}

blockquote * {
    display: inline;
}

code {
    font-family: monospace;
}

.is-primary {
    background-color: var(--background-1);
    color: var(--foreground-1)
}

.is-secondary {
    background-color: var(--background-2);
    color: var(--foreground-2)
}

/** Posts **/

.post {
    border-radius: var(--border-radius);
    margin: 8px 0;
    display: flex;
}

.post img {
    border: 1px solid #aaa;
    border-radius: var(--border-radius);
    max-width: 30%;
}

.post .content {
    padding: .01em 16px;
    width: 70%;
}

.post.reply {
    margin-left: 32px;
    width: 75%;
}

.section {
    border-radius: var(--border-radius);
    margin: 8px 0;
    padding: .01em 16px;
}

/** Form **/
label {
    padding: 4px;
    width: 25vw;

    text-align: left;
}

label,
textarea {
    display: block;
    margin-left: auto;
    margin-right: auto;

    color: var(--foreground-1);
}

input {
    border: 1px solid var(--foreground-2);
    border-radius: var(--border-radius);
    background-color: var(--background-2);
    color: var(--foreground-2);

    margin-left: auto;
    margin-right: auto;
    display: block;
}

input[type=text] {
    width: 100%;
}

input[type=file] {
    border: 0;
    margin-left: 0;
}

textarea {
    width: 100%;
    height: 128px;
    padding: 8px;

    border: 1px solid var(--foreground-2);
    border-radius: var(--border-radius);
    background-color: var(--background-2);
}

/** Imports **/
.bar {
    width: 100%;
    overflow: hidden
}

.center .bar {
    display: inline-block;
    width: auto
}

.bar .bar-item {
    padding: 8px 16px;
    float: left;
    width: auto;
    border: 0;
    display: block;
    outline: 0
}

.bar .button {
    white-space: normal
}

.bar-block .bar-item {
    width: 100%;
    display: block;
    padding: 8px 16px;
    text-align: left;
    border: 0;
    white-space: normal;
    float: none;
    outline: 0
}

.bar:before,
.bar:after,
.container:after,
.container:before {
    content: "";
    display: table;
    clear: both
}

.button {
    border: 0;
    display: inline-block;
    padding: 8px 16px;
    vertical-align: middle;
    overflow: hidden;
    text-decoration: none;
    text-align: center;
    cursor: pointer;
    white-space: nowrap;
    user-select: none;

    border-radius: var(--border-radius);
}

.button:hover {
    /*box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
     above was only in .btn:hover for some reason */

    color: #000;
    background-color: #ccc;
}

.disabled,
.button:disabled {
    cursor: not-allowed;
    opacity: .3
}

.center {
    text-align: center;
}

.container {
    padding: .01em 16px;
}